Mailrelay API Reference

Create or update a product category

POST /ecommerce/stores/{store_id}/product_categories/sync

Automatically checks if product category exists based on productcategoryid parameter. If it does, it updates the product category. If it doesn't, it creates a new product category.

Parameters

NameTypeDescription
store_id integer ID of the store
product_category_id string Product category
name string Name

Responses

StatusDescription
200 Existing product category was updated
201 Product category was created
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.